> ## Documentation Index
> Fetch the complete documentation index at: https://docs.busha.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Currency Pairs

> See available conversions between fiat and cryptocurrency.

Pairs in the Busha API represent the exchange rates between two currencies. This can be any of the following exchanges:

* Fiat-to-Fiat
* Fiat-to-Crypto
* Crypto-to-Crypto

Pairs resource allows you to anticipate the following about a currency pair:

* Current buy/sell price
* Minimum and maximum buy/sell amount
* Buy/sell supported
* Floating point decimal for the base and target currency

A single pair object looks like this:

```json theme={null}
{
  "id": "ETHUSDT",
  "base": "ETH",
  "counter": "USDT",
  "type": "crypto",
  "buy_price": {
    "amount": "2686.63",
    "currency": "ETH"
  },
  "sell_price": {
    "amount": "2686.58",
    "currency": "USDT"
  },
  "is_buy_supported": true,
  "is_sell_supported": true,
  "min_buy_amount": {
    "amount": "0.00447",
    "currency": "ETH"
  }
}
```

## List Pairs

To list all pairs, you can make an unauthenticated request to the Pairs endpoint:

```bash theme={null}
$ curl https://api.busha.co/v1/pairs
```

## Filter Pairs by Type

The pairs API allows filtering the list of pairs by type. The three allowed filter type values are:

* fiat
* crypto
* stablecoins

Here is an example of a filter by type:

```bash theme={null}
$ curl https://api.busha.co/v1/pairs?type=crypto
```

## Filter Pairs by Currency

You can also filter pairs by any of the supported currencies on the Busha API.

```bash theme={null}
$ curl https://api.busha.co/v1/pairs?currency=NGN
```

## Filter by Type and Currency

Combining the two examples above, you can filter for all fiat pairs type for NGN currency like so:

```bash theme={null}
$ curl https://api.busha.co/v1/pairs?currency=NGN&type=fiat
```
